Home / Live upgrade / Live upgrade patch installation before OS patching

Live upgrade patch installation before OS patching

If you want to use Liveupgrade feature on oracle Solaris 10, Oracle recommends to patch the Liveupgrade packages to the latest version since lot of bugs with old patch versions. For me Liveupgrade patch (121431-54) gave lot of trouble after booting from alternative boot environment. I have used the patch version 121431-74  which worked like charm.The logs below will show you that how to install new Liveupgrade patch on running machine.
Live Upgrade Packages:
application SUNWlucfg                   Live Upgrade Configuration
application SUNWlur                          Live Upgrade (root)
application SUNWluu                          Live Upgrade (usr)

 

 

Checking the current Liveupgrade patch:

X86: Solaris 10

bash myglobal> showrev -p |grep -i 121431
Patch: 121431-54 Obsoletes: 121436-05, 121438-02 Requires:  Incompatibles:  Packages: SUNWlucfg, SUNWlur, SUNWluu
Patch: 121429-13 Obsoletes:  Requires: 120236-01, 121431-16 Incompatibles:  Packages: SUNWluzone

SPARC: Solaris 10:

root@SPARC:~# showrev -p |grep 121430
Patch: 121430-85 Obsoletes: 121435-04, 121437-02 Requires:  Incompatibles:  Packages: SUNWluu, SUNWlucfg, SUNWlur
Patch: 121430-93 Obsoletes: 121435-04, 121437-02 Requires:  Incompatibles:  Packages: SUNWluu, SUNWlucfg, SUNWlur
Patch: 121428-15 Obsoletes:  Requires: 120235-01, 121430-16 Incompatibles:  Packages: SUNWluzone
root@SPARC:~#

 

Identify the Latest LU(Live Upgrade) Patches: Solaris 10

1.Login to oracle Support.

2. Navigate to Patches & updates. In Patch search , select the desired architecture. (X86 or SPARC)

Live upgrade Patch Search MOS
Live upgrade Patch Search MOS

 

3.Search for LU Patch number. (see the note below to know the LU patch numbers)

Identify the Lastest LU patch
Identify the Latest LU patch

 

Note: Solaris 10 5/08 (Update 5) or later: SPARC 121430-LR SunOS 5.8 5.9 5.10: Live Upgrade Patch X86 121431-LR SunOS 5.8_x86 5.9_x86 5.10_x86: Live Upgrade Patch Note: LR – latest Release.

 

Patching Might fail with below error message if the directory is not readable by others. Make sure that patches are kept in /var/tmp which is readable to other users. (755). Patch installation require users like adm , others to read the patching files.

This appears to be an attempt to install the same architecture and
version of a package which is already installed. This installation
will attempt to overwrite this package.
/root/121431-74/SUNWlucfg/install/checkinstall: /root/121431-74/SUNWlucfg/install/checkinstall: cannot open
pkgadd: ERROR: checkinstall script did not complete successfully
Dryrun complete.
No changes were made to the system.

 

Live Upgrade Patch Installation:

bash myglobal> patchadd 121431-74
Validating patches...
Loading patches installed on the system...
Done!
Loading patches requested to install.
Done!
Checking patches that you specified for installation.
Done!
Approved patches will be installed in this order:
121431-74
Preparing checklist for non-global zone check...
Checking non-global zones...
Restoring state for non-global zone JBPAPP1...
Restoring state for non-global zone JSPAPP1...
Restoring state for non-global zone JSPAPP2...
Restoring state for non-global zone JSPDB...
Restoring state for non-global zone RAJDB...
Restoring state for non-global zone SANDB...
This patch passes the non-global zone check.
121431-74
Summary for zones:
Zone BSAghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone BSJghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone AESghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone IMSghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone IPSghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone JSSghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone ASSghqa
Rejected patches:
None.
Patches that passed the dependency check:
121431-74
Zone JBPAPP1
Rejected patches:
None.
Restoring state for non-global zone SANDB...

We have successfully installed the Liveupgrade patch .

 

Verify the Patch:

bash myglobal> showrev -p |grep 121431
Patch: 121431-54 Obsoletes: 121436-05, 121438-02 Requires:  Incompatibles:  Packages: SUNWlucfg, SUNWlur, SUNWluu.
Patch: 121431-74 Obsoletes: 121436-05, 121438-02 Requires:  Incompatibles:  Packages: SUNWlucfg, SUNWlur, SUNWluu.
Patch: 121429-13 Obsoletes:  Requires: 120236-01, 121431-16 Incompatibles:  Packages: SUNWluzone.

 

Here is the Live-upgrade Sequence:

  • Install the latest LU Patches to the current Boot Environment. (We just did that)
  • Install the prerequisite patches  to the current Boot Environment.
  • Create the new Boot environment.
  • Install the recommend OS Patch bundle on new Boot Environment.
  • Activate the new Boot environment
  • Reboot the system using init 6.

 

Thank you for reading this article.

VMTURBO-CLOUD-CAPACITY

Leave a Reply

Your email address will not be published. Required fields are marked *